/*
 *  splitfile fn size: splits the "fn" file into files "fn.i" wich size is
 *                     smaller than "size"
 */

#include <stdio.h>
#include <fcntl.h>
#include <sys/param.h>      /*  MAXPATHLEN */

#include<sys/types.h>

main(argc, argv)
     int argc;
     char **argv;
{
  register i;
  int fd_in, fd_out, pas, nb;
  char *buff, name[MAXPATHLEN];

  if (argc != 3)
   { fprintf(stderr, "splitfile: usage: splitfile fn size\n");
     exit(1);
   }

  if ( -1 == (fd_in = open(argv[1], O_RDONLY)) )
   { fprintf(stderr, "splitfile: unable to open %s\n", argv[1]);
     perror("splitfile");
     exit(1);  /* Missing ) here */
   }

  if ( 1 != sscanf(argv[2], "%d", &pas) )
   { fprintf(stderr, "splitfile: unable to open %s\n", argv[1]);
     perror("splitfile");
     exit(1 ;
   }

  if ( NULL == (buff = (char *) malloc(pas)) )
   { fprintf(stderr, "splitfile: out of memory\n");
     exit(1);
   }

  for(i=1;;i++)
   { if ( -1 == (nb = read(fd_in, buff, pas)) )
       { fprintf(stderr, "splitfile: unable to read %s\n", argv[1]);
         exit(1);
       }
     if (0 == nb) exit(0);

     sprintf(name, "%s.%d", argv[1], i);

     if (!state(name))
      { fprintf(stderr, "splitfile: file %s exists\n", name);
        exit(1);
      }

     if ( -1 == (fd_out = open(name, O_RDWR|O_CREAT, 0666)) )
      { fprintf(stderr, "splitfile: unable to open %s\n", name);
        exit(1);
      }

     if ( nb != write(fd_out, buff, nb) )
       { fprintf(stderr, "splitfile: unable to write %s\n", name);
         perror("splitfile");
         exit(1);
       }

     close(fd_out);
   }



}
