ARG - Returns argument string


In addition to the standard arg() REXX features:

arg(0)     returns the name of the currently executed S/REXX program.


arg(N, 'c')
           returns the Nth argument passed to the main REXX program using
           C-like parsing.

Consider the following test program:

--------------------------------------------------------------
#! /home/xed/srexx
say "Usual form: "arg(1)
Say "C-Like form: "arg(2, 'C')
--------------------------------------------------------------

Typing (using an UNIX shell):

--------------------------------------------------------------
test '1 2' 3
--------------------------------------------------------------

would display:

--------------------------------------------------------------
Usual form: 1 2 3 4
C-Like form: 3
--------------------------------------------------------------

This parsing is useful to handle arguments containing embedded spaces.
Using PARSE ARG would not allow to distinguish for example between using
"test '1 2' 3" and "test 1 '2 3'".
