SockGetHostByAddr - Searches for Information for a Host


rc = SockGetHostByAddr(dotAddress, 'stem.'{, domain})
rc = gethostbyaddr(dotAddress, 'stem.'{, domain})

gets information about a specified host on the network using its dotted
decimal address.

rc              1 when SockGetHostByAddr() succeds, 0 in case of failure.

dotAddress      a string specifying the dotted decimal address of the
                host.

domain          the domain value. SockGetHostByAddr() only supports the
                "AF_INET" value.

'stem.'         is a stem variable containing the information about the
                host.

stem.name       the standard name of the host.

stem.alias.0    number of aliases for this host.

stem.alias.1    First alias for this host.

stem.alias.n    n'th alias for this host.

stem.addrtype   always "AF_INET".

stem.addr       the default dotted decimal address.

stem.addr.0     number of addresses for the name host.

stem.addr.1     first address for the name host.

stem.addr.n     n'th address for the name host.


SockGetHostByAddr sets the h_errno variable to 0 in case of success, or to
one of the following error codes:

     HOST_NOT_FOUND
     TRY_AGAIN
     NO_RECOVERY
     NO_DATA
     NO_ADDRESS

Example:

     rc = SockGetHostByAddr('192.9.200.1', 'host.')
     say 'host.name = 'host.name
     say 'host.alias.0 = 'host.alias.0
     do i = 1 to host.alias.0
       say 'host.alias.'i' = 'host.alias.i
     end
     say 'host.addrtype = 'host.addrtype
     say 'host.addr     = 'host.addr
     say 'host.addr.0   = 'host.addr.0
     do i = 1 to host.addr.0
       say 'host.addr.'i' = 'host.addr.i
     end
