REGISTRY_SET - Set REGISTRY Key Contents


On WINDOWS systems, REGISTRY_SET() is used to set the contents of a
registry key.

WARNING: DISRUPTING THE WINDOWS REGISTRY CAN IRREPARABLY DAMAGE THE
         SYSTEM.

val = REGISTRY_SET(hkey, where, name, cnt)

hkey    is the key root location in the registry. hkey can be one of the
        following strings:

        HKEY_CLASSES_ROOT
        HKEY_CURRENT_USER
        HKEY_LOCAL_MACHINE
        HKEY_USERS
        HKEY_CURRENT_CONFIG
        HKEY_DYN_DATA

where   is the location of the key in the hkey tree.

name    is the name of the subkey. If name is the "" empty string, the
        default value of the specified key location is set.

cnt     is a string representing the contents of the key. REGISTRY_SET()
        uses a format similar to the WINDOWS NT Registry Editor when using
        the Export Registry File command.

        REGISTRY_SET() understands the following WIN32 API type of keys:

        REG_BINARY:
        cnt is in the "hex:xx,xx,xx,...." format.

        REG_RESOURCE_LIST:
        cnt is in the "hex(8):xx,xx,xx,...." format.
        REG_FULL_RESOURCE_DESCRIPTOR:
        cnt is in the "hex(9):xx,xx,xx,...." format.

        REG_DWORD:
        cnt is in the "dword:xxxxxxxx" format.

        REG_DWORD_BIG_ENDIAN:
        cnt is in the "hex(5):xx,xx,xx,...." format.

        REG_LINK:
        cnt is in the "hex(6):xx,xx,xx,...." format.

        REG_MULTI_SZ:
        cnt is in the "hex(7):xx,xx,xx,...." format.

        REG_NONE:
        cnt is in the "hex(0):xx,xx,xx,...." format.
        REG_EXPAND_SZ:
        cnt is in the "hex(2):xx,xx,xx,...." format.

        REG_RESOURCE_REQUIREMENTS_LIST:
        cnt is in the "hex(a):xx,xx,xx,...." format.

        REG_SZ:
        cnt is a string not starting with hex:, dword: or hex(n):.

val     is 0 when REGISTRY_SET() succeeds, or an error message.


Example:

   call registry_set("HKEY_LOCAL_MACHINE",,
    "SOFTWARE\test", "dms", "hex(6):01,02,03")
