SockSetSockOpt - Set Socket Options


rc = SockSetSockOpt(s, level, optname{, optval})
rc = setsockopt(s, level, optname{, optval})
sets options associated with a socket.

rc      0 when SockSetSockOpt succeds.

s       specifies a socket.

level   the protocol level. SockSetSockOpt supports only the "SOL_SOCKET"
        level.

optname optname and any specified options optval are passed uninterpreted
        to the appropriate protocol module for interpretation.

        On UNIX systems, optname can be:

        SO_DEBUG SO_REUSEADDR SO_KEEPALIVE SO_DONTROUTE SO_LINGER
        SO_BROADCAST SO_OOBINLINE SO_SNDBUF SO_RCVBUF SO_TYPE SO_ERROR

        On WINDOWS system, optname can be:

        SO_DEBUG SO_REUSEADDR SO_KEEPALIVE SO_DONTROUTE SO_LINGER
        SO_BROADCAST SO_OOBINLINE SO_SNDBUF SO_RCVBUF SO_DONTLINGER

optval  may be a string or a number.
        When optname is SO_LINGER, optval must be a string including 2
        integers. The first integer is a boolean flag enabling the linger
        feature, and the second integer is the linger time.

SockSetSockOpt sets the errno variable to 0 in case of success, or to one
of the following error codes:

EBADF         The argument s is not a valid file descriptor.

ENOMEM        There was insufficient memory available for the operation to
              complete.

ENOPROTOOPT   The option is unknown at the level indicated.

ENOSR         There were insufficient STREAMS resources available for the
              operation to complete.

ENOTSOCK      The argument s is not a socket.


Examples: rc = SockSetSockOpt(sock_out, "SOL_SOCKET", "SO_REUSEADDR", 1)
          rc = SockSetSockOpt(sock_out, "SOL_SOCKET", "SO_LINGER", "1 2");
