SysFileTree - Scan Directory


SysFileTree(filespec, 'stem.', {opt})

searches the directory described by filespec for matching files.

filespec   can be one of the following:

    a dir directory        all the files in the dir directory matching opt
                           will be returned. dir may include the ~ .. UNIX
                           or WINDOWS file meta characters.

    an expr search string  all files matching expr and opt in the current
                           directory will be returned. When opt does not
                           specify a regular expression search, expr can
                           include the * and ? special meta characters. *
                           matches any set of characters. ? matches any
                           (one) character.

   dir/expr                all files matching expr and opt in the dir
                           directory will be returned.

   a null ("") string      all files matching opt in the current directory
                           will be returned.

'stem.'    the name of a stem variable used to return the result of the
           search.

stem.0     the number of matching files.

stem.i     a matching file.

opt        an optional string containing one of the following
           one-character options:

           F       Search only for files.

           D       Search only for directories B Search for both
                   directories and files. This is the default.

           S       Search subdirectories recursively.

           T       Return the time and date in YY/MM/DD/HH/MM format.

           L       Return the time and date in YYYY-MM-DD HH:MM:SS format.

           O       Return only the file name. The default is to return the
                   string in the example below.

           I       Ignore case. This is the default on WINDOWS systems.

           R       Respect case. This is the default on UNIX systems.

           G       filespec is a regular expression. Type HELP R/ for a
                   regular expression definition. Note that on WINDOWS
                   systems, the \ regular expression escape character
                   cannot be used. Instead of using for example \.
                   (meaning "."), use [.].

SysFileTree() returns 0 in case of success, or an explicit error message
such as "Error Opening Directory xxxxx" in case of failure.

Examples:

   call SysFileTree '/usr/include/*io*.h', 'stem.'
   do i = 1 to stem.0
     say stem.i
   end

could print:

   04/24/96        03:18    2317   -rw-r--r-- /usr/include/aio.h
   04/24/96        03:18    1025   -rw-r--r-- /usr/include/cpio.h
   04/24/96        19:18   11868   -rw-r--r-- /usr/include/stdio.h


   call SysFileTree 'C:\WTSRV\[2-3][.]dll', 'stem.', 'g'
   do i = 1 to stem.0
     say stem.i
   end

could print:

   04/29/96        12:13    21648  ---A- C:\WTSRV\ctl3dv2.dll
   08/24/98        10:00    52224  ---A- C:\WTSRV\scnlib32.dll
   06/11/97        00:06   104448  ---A- C:\WTSRV\TWAIN32.DLL
   08/23/98        13:32    77312  ---A- C:\WTSRV\TWAIN_32.DLL
   05/09/98        14:04    24336  ---A- C:\WTSRV\vmmreg32.dll
