SysSearchPath - Search Files in Path


rf = SysSearchPath('PATH', file{, exec} {, 'stem.')

SysSearchPath() searches for the "file" file within the directories
described by the environment variable PATH. The PATH directories are
separated by a colon (':') on UNIX systems, and by a semi-colon (';') on
WINDOWS systems.

rf      the full file specification of the first file in the path matching
        "file".

exec    0 (the default) or 1. On UNIX systems, when exec is set to 1,
        SysSearchPath() only finds files with at least one of the "user",
        "group" and "other" execute permission flags set to on.

'stem.' when specified, SysSearchPath() stores all the files matching
        "file" in the stem. variable.

stem.0  the number of matching files.

stem.i  a matching file.

Examples:

   call SysSearchPath "PATH", 'csh', 1, "stem."
   do i = 1 to stem.0
     say stem.i
   end
   say 'result = 'result

could print:

   /usr/bin/csh
   /bin/csh
   result = /usr/bin/csh
