WAITPID - Wait for a Process Termination


WAITPID(pid{, "N"})

On UNIX systems, WAITPID(pid) suspends the calling process until one of
the specified children terminates; if a child process terminated prior to
the call to WAITPID(), return is immediate. pid specifies a set of child
processes for which status is requested.

If pid is equal to -1, status is requested for any child process.

If pid is greater than 0, it specifies the process ID (returned by the
FORK() built-in function) of the child process for which status is
requested.

If WAITPID() returns because the status of a child process is available,
this function returns a value equal to the process ID of the child process
for which status is reported.

The optional "N" parameter passed to WAITPID() specifies that WAITPID()
must not suspend the calling process. A value of 0 is returned when none
of the processes specified with the pid argument have terminated.

A value of -1 is returned in case of error.

On WINDOWS systems, WAITPID() always returns a value of -1.
